Update customer
curl --request POST \
--url https://api.livechatinc.com/v3.7/customer/action/update_customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Thomas Anderson",
"email": "t.anderson@example.com",
"suggested_email": "t.anderson@example.com",
"avatar": "https://example.com/avatars/1.png",
"phone_number": "+18008529001",
"session_fields": [
{
"custom_key": "custom_value"
},
{
"another_custom_key": "another_custom_value"
}
],
"omnichannel": {
"fbmessenger": {
"id": "1234567890",
"name": "Thomas Anderson",
"first_name": "Thomas",
"last_name": "Anderson",
"profile_pic": "https://example.com/avatars/1.png",
"gender": "male",
"locale": "en_US",
"is_verified_user": true
},
"twilio": {
"phone_number": "+18008529001"
},
"whatsapp": {
"id": "15550000001",
"name": "Thomas Anderson",
"phone_number": "+15550000001"
},
"instagram": {
"ig_user_id": "17841405793187218",
"username": "thomas.anderson",
"name": "Thomas Anderson",
"profile_pic": "https://example.com/avatars/instagram.png",
"follower_count": 120,
"is_verified_user": true,
"is_user_follow_business": true,
"is_business_follow_user": false
},
"telegram": {
"telegram_user_id": 123456789,
"first_name": "Thomas",
"last_name": "Anderson",
"username": "thomas_anderson",
"language_code": "en",
"display_name": "Thomas Anderson",
"is_premium": true
},
"sms": {
"phone_number": "+15550000002"
}
},
"address": {
"address": "1600 Pennsylvania Avenue NW",
"city": "Washington",
"country": "United States",
"state": "DC",
"postal_code": "20500"
}
}
'import requests
url = "https://api.livechatinc.com/v3.7/customer/action/update_customer"
payload = {
"name": "Thomas Anderson",
"email": "t.anderson@example.com",
"suggested_email": "t.anderson@example.com",
"avatar": "https://example.com/avatars/1.png",
"phone_number": "+18008529001",
"session_fields": [{ "custom_key": "custom_value" }, { "another_custom_key": "another_custom_value" }],
"omnichannel": {
"fbmessenger": {
"id": "1234567890",
"name": "Thomas Anderson",
"first_name": "Thomas",
"last_name": "Anderson",
"profile_pic": "https://example.com/avatars/1.png",
"gender": "male",
"locale": "en_US",
"is_verified_user": True
},
"twilio": { "phone_number": "+18008529001" },
"whatsapp": {
"id": "15550000001",
"name": "Thomas Anderson",
"phone_number": "+15550000001"
},
"instagram": {
"ig_user_id": "17841405793187218",
"username": "thomas.anderson",
"name": "Thomas Anderson",
"profile_pic": "https://example.com/avatars/instagram.png",
"follower_count": 120,
"is_verified_user": True,
"is_user_follow_business": True,
"is_business_follow_user": False
},
"telegram": {
"telegram_user_id": 123456789,
"first_name": "Thomas",
"last_name": "Anderson",
"username": "thomas_anderson",
"language_code": "en",
"display_name": "Thomas Anderson",
"is_premium": True
},
"sms": { "phone_number": "+15550000002" }
},
"address": {
"address": "1600 Pennsylvania Avenue NW",
"city": "Washington",
"country": "United States",
"state": "DC",
"postal_code": "20500"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Thomas Anderson',
email: 't.anderson@example.com',
suggested_email: 't.anderson@example.com',
avatar: 'https://example.com/avatars/1.png',
phone_number: '+18008529001',
session_fields: [{custom_key: 'custom_value'}, {another_custom_key: 'another_custom_value'}],
omnichannel: {
fbmessenger: {
id: '1234567890',
name: 'Thomas Anderson',
first_name: 'Thomas',
last_name: 'Anderson',
profile_pic: 'https://example.com/avatars/1.png',
gender: 'male',
locale: 'en_US',
is_verified_user: true
},
twilio: {phone_number: '+18008529001'},
whatsapp: {id: '15550000001', name: 'Thomas Anderson', phone_number: '+15550000001'},
instagram: {
ig_user_id: '17841405793187218',
username: 'thomas.anderson',
name: 'Thomas Anderson',
profile_pic: 'https://example.com/avatars/instagram.png',
follower_count: 120,
is_verified_user: true,
is_user_follow_business: true,
is_business_follow_user: false
},
telegram: {
telegram_user_id: 123456789,
first_name: 'Thomas',
last_name: 'Anderson',
username: 'thomas_anderson',
language_code: 'en',
display_name: 'Thomas Anderson',
is_premium: true
},
sms: {phone_number: '+15550000002'}
},
address: {
address: '1600 Pennsylvania Avenue NW',
city: 'Washington',
country: 'United States',
state: 'DC',
postal_code: '20500'
}
})
};
fetch('https://api.livechatinc.com/v3.7/customer/action/update_customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.livechatinc.com/v3.7/customer/action/update_customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Thomas Anderson',
'email' => 't.anderson@example.com',
'suggested_email' => 't.anderson@example.com',
'avatar' => 'https://example.com/avatars/1.png',
'phone_number' => '+18008529001',
'session_fields' => [
[
'custom_key' => 'custom_value'
],
[
'another_custom_key' => 'another_custom_value'
]
],
'omnichannel' => [
'fbmessenger' => [
'id' => '1234567890',
'name' => 'Thomas Anderson',
'first_name' => 'Thomas',
'last_name' => 'Anderson',
'profile_pic' => 'https://example.com/avatars/1.png',
'gender' => 'male',
'locale' => 'en_US',
'is_verified_user' => true
],
'twilio' => [
'phone_number' => '+18008529001'
],
'whatsapp' => [
'id' => '15550000001',
'name' => 'Thomas Anderson',
'phone_number' => '+15550000001'
],
'instagram' => [
'ig_user_id' => '17841405793187218',
'username' => 'thomas.anderson',
'name' => 'Thomas Anderson',
'profile_pic' => 'https://example.com/avatars/instagram.png',
'follower_count' => 120,
'is_verified_user' => true,
'is_user_follow_business' => true,
'is_business_follow_user' => false
],
'telegram' => [
'telegram_user_id' => 123456789,
'first_name' => 'Thomas',
'last_name' => 'Anderson',
'username' => 'thomas_anderson',
'language_code' => 'en',
'display_name' => 'Thomas Anderson',
'is_premium' => true
],
'sms' => [
'phone_number' => '+15550000002'
]
],
'address' => [
'address' => '1600 Pennsylvania Avenue NW',
'city' => 'Washington',
'country' => 'United States',
'state' => 'DC',
'postal_code' => '20500'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.livechatinc.com/v3.7/customer/action/update_customer"
payload := strings.NewReader("{\n \"name\": \"Thomas Anderson\",\n \"email\": \"t.anderson@example.com\",\n \"suggested_email\": \"t.anderson@example.com\",\n \"avatar\": \"https://example.com/avatars/1.png\",\n \"phone_number\": \"+18008529001\",\n \"session_fields\": [\n {\n \"custom_key\": \"custom_value\"\n },\n {\n \"another_custom_key\": \"another_custom_value\"\n }\n ],\n \"omnichannel\": {\n \"fbmessenger\": {\n \"id\": \"1234567890\",\n \"name\": \"Thomas Anderson\",\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"profile_pic\": \"https://example.com/avatars/1.png\",\n \"gender\": \"male\",\n \"locale\": \"en_US\",\n \"is_verified_user\": true\n },\n \"twilio\": {\n \"phone_number\": \"+18008529001\"\n },\n \"whatsapp\": {\n \"id\": \"15550000001\",\n \"name\": \"Thomas Anderson\",\n \"phone_number\": \"+15550000001\"\n },\n \"instagram\": {\n \"ig_user_id\": \"17841405793187218\",\n \"username\": \"thomas.anderson\",\n \"name\": \"Thomas Anderson\",\n \"profile_pic\": \"https://example.com/avatars/instagram.png\",\n \"follower_count\": 120,\n \"is_verified_user\": true,\n \"is_user_follow_business\": true,\n \"is_business_follow_user\": false\n },\n \"telegram\": {\n \"telegram_user_id\": 123456789,\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"username\": \"thomas_anderson\",\n \"language_code\": \"en\",\n \"display_name\": \"Thomas Anderson\",\n \"is_premium\": true\n },\n \"sms\": {\n \"phone_number\": \"+15550000002\"\n }\n },\n \"address\": {\n \"address\": \"1600 Pennsylvania Avenue NW\",\n \"city\": \"Washington\",\n \"country\": \"United States\",\n \"state\": \"DC\",\n \"postal_code\": \"20500\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.livechatinc.com/v3.7/customer/action/update_customer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Thomas Anderson\",\n \"email\": \"t.anderson@example.com\",\n \"suggested_email\": \"t.anderson@example.com\",\n \"avatar\": \"https://example.com/avatars/1.png\",\n \"phone_number\": \"+18008529001\",\n \"session_fields\": [\n {\n \"custom_key\": \"custom_value\"\n },\n {\n \"another_custom_key\": \"another_custom_value\"\n }\n ],\n \"omnichannel\": {\n \"fbmessenger\": {\n \"id\": \"1234567890\",\n \"name\": \"Thomas Anderson\",\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"profile_pic\": \"https://example.com/avatars/1.png\",\n \"gender\": \"male\",\n \"locale\": \"en_US\",\n \"is_verified_user\": true\n },\n \"twilio\": {\n \"phone_number\": \"+18008529001\"\n },\n \"whatsapp\": {\n \"id\": \"15550000001\",\n \"name\": \"Thomas Anderson\",\n \"phone_number\": \"+15550000001\"\n },\n \"instagram\": {\n \"ig_user_id\": \"17841405793187218\",\n \"username\": \"thomas.anderson\",\n \"name\": \"Thomas Anderson\",\n \"profile_pic\": \"https://example.com/avatars/instagram.png\",\n \"follower_count\": 120,\n \"is_verified_user\": true,\n \"is_user_follow_business\": true,\n \"is_business_follow_user\": false\n },\n \"telegram\": {\n \"telegram_user_id\": 123456789,\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"username\": \"thomas_anderson\",\n \"language_code\": \"en\",\n \"display_name\": \"Thomas Anderson\",\n \"is_premium\": true\n },\n \"sms\": {\n \"phone_number\": \"+15550000002\"\n }\n },\n \"address\": {\n \"address\": \"1600 Pennsylvania Avenue NW\",\n \"city\": \"Washington\",\n \"country\": \"United States\",\n \"state\": \"DC\",\n \"postal_code\": \"20500\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.livechatinc.com/v3.7/customer/action/update_customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Thomas Anderson\",\n \"email\": \"t.anderson@example.com\",\n \"suggested_email\": \"t.anderson@example.com\",\n \"avatar\": \"https://example.com/avatars/1.png\",\n \"phone_number\": \"+18008529001\",\n \"session_fields\": [\n {\n \"custom_key\": \"custom_value\"\n },\n {\n \"another_custom_key\": \"another_custom_value\"\n }\n ],\n \"omnichannel\": {\n \"fbmessenger\": {\n \"id\": \"1234567890\",\n \"name\": \"Thomas Anderson\",\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"profile_pic\": \"https://example.com/avatars/1.png\",\n \"gender\": \"male\",\n \"locale\": \"en_US\",\n \"is_verified_user\": true\n },\n \"twilio\": {\n \"phone_number\": \"+18008529001\"\n },\n \"whatsapp\": {\n \"id\": \"15550000001\",\n \"name\": \"Thomas Anderson\",\n \"phone_number\": \"+15550000001\"\n },\n \"instagram\": {\n \"ig_user_id\": \"17841405793187218\",\n \"username\": \"thomas.anderson\",\n \"name\": \"Thomas Anderson\",\n \"profile_pic\": \"https://example.com/avatars/instagram.png\",\n \"follower_count\": 120,\n \"is_verified_user\": true,\n \"is_user_follow_business\": true,\n \"is_business_follow_user\": false\n },\n \"telegram\": {\n \"telegram_user_id\": 123456789,\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"username\": \"thomas_anderson\",\n \"language_code\": \"en\",\n \"display_name\": \"Thomas Anderson\",\n \"is_premium\": true\n },\n \"sms\": {\n \"phone_number\": \"+15550000002\"\n }\n },\n \"address\": {\n \"address\": \"1600 Pennsylvania Avenue NW\",\n \"city\": \"Washington\",\n \"country\": \"United States\",\n \"state\": \"DC\",\n \"postal_code\": \"20500\"\n }\n}"
response = http.request(request)
puts response.read_bodyCustomers
Update customer
Updates the customer’s fields.
You can clear name, email, phone_number, suggested_email, and address by providing an empty string as the field value.
POST
/
action
/
update_customer
Update customer
curl --request POST \
--url https://api.livechatinc.com/v3.7/customer/action/update_customer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Thomas Anderson",
"email": "t.anderson@example.com",
"suggested_email": "t.anderson@example.com",
"avatar": "https://example.com/avatars/1.png",
"phone_number": "+18008529001",
"session_fields": [
{
"custom_key": "custom_value"
},
{
"another_custom_key": "another_custom_value"
}
],
"omnichannel": {
"fbmessenger": {
"id": "1234567890",
"name": "Thomas Anderson",
"first_name": "Thomas",
"last_name": "Anderson",
"profile_pic": "https://example.com/avatars/1.png",
"gender": "male",
"locale": "en_US",
"is_verified_user": true
},
"twilio": {
"phone_number": "+18008529001"
},
"whatsapp": {
"id": "15550000001",
"name": "Thomas Anderson",
"phone_number": "+15550000001"
},
"instagram": {
"ig_user_id": "17841405793187218",
"username": "thomas.anderson",
"name": "Thomas Anderson",
"profile_pic": "https://example.com/avatars/instagram.png",
"follower_count": 120,
"is_verified_user": true,
"is_user_follow_business": true,
"is_business_follow_user": false
},
"telegram": {
"telegram_user_id": 123456789,
"first_name": "Thomas",
"last_name": "Anderson",
"username": "thomas_anderson",
"language_code": "en",
"display_name": "Thomas Anderson",
"is_premium": true
},
"sms": {
"phone_number": "+15550000002"
}
},
"address": {
"address": "1600 Pennsylvania Avenue NW",
"city": "Washington",
"country": "United States",
"state": "DC",
"postal_code": "20500"
}
}
'import requests
url = "https://api.livechatinc.com/v3.7/customer/action/update_customer"
payload = {
"name": "Thomas Anderson",
"email": "t.anderson@example.com",
"suggested_email": "t.anderson@example.com",
"avatar": "https://example.com/avatars/1.png",
"phone_number": "+18008529001",
"session_fields": [{ "custom_key": "custom_value" }, { "another_custom_key": "another_custom_value" }],
"omnichannel": {
"fbmessenger": {
"id": "1234567890",
"name": "Thomas Anderson",
"first_name": "Thomas",
"last_name": "Anderson",
"profile_pic": "https://example.com/avatars/1.png",
"gender": "male",
"locale": "en_US",
"is_verified_user": True
},
"twilio": { "phone_number": "+18008529001" },
"whatsapp": {
"id": "15550000001",
"name": "Thomas Anderson",
"phone_number": "+15550000001"
},
"instagram": {
"ig_user_id": "17841405793187218",
"username": "thomas.anderson",
"name": "Thomas Anderson",
"profile_pic": "https://example.com/avatars/instagram.png",
"follower_count": 120,
"is_verified_user": True,
"is_user_follow_business": True,
"is_business_follow_user": False
},
"telegram": {
"telegram_user_id": 123456789,
"first_name": "Thomas",
"last_name": "Anderson",
"username": "thomas_anderson",
"language_code": "en",
"display_name": "Thomas Anderson",
"is_premium": True
},
"sms": { "phone_number": "+15550000002" }
},
"address": {
"address": "1600 Pennsylvania Avenue NW",
"city": "Washington",
"country": "United States",
"state": "DC",
"postal_code": "20500"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Thomas Anderson',
email: 't.anderson@example.com',
suggested_email: 't.anderson@example.com',
avatar: 'https://example.com/avatars/1.png',
phone_number: '+18008529001',
session_fields: [{custom_key: 'custom_value'}, {another_custom_key: 'another_custom_value'}],
omnichannel: {
fbmessenger: {
id: '1234567890',
name: 'Thomas Anderson',
first_name: 'Thomas',
last_name: 'Anderson',
profile_pic: 'https://example.com/avatars/1.png',
gender: 'male',
locale: 'en_US',
is_verified_user: true
},
twilio: {phone_number: '+18008529001'},
whatsapp: {id: '15550000001', name: 'Thomas Anderson', phone_number: '+15550000001'},
instagram: {
ig_user_id: '17841405793187218',
username: 'thomas.anderson',
name: 'Thomas Anderson',
profile_pic: 'https://example.com/avatars/instagram.png',
follower_count: 120,
is_verified_user: true,
is_user_follow_business: true,
is_business_follow_user: false
},
telegram: {
telegram_user_id: 123456789,
first_name: 'Thomas',
last_name: 'Anderson',
username: 'thomas_anderson',
language_code: 'en',
display_name: 'Thomas Anderson',
is_premium: true
},
sms: {phone_number: '+15550000002'}
},
address: {
address: '1600 Pennsylvania Avenue NW',
city: 'Washington',
country: 'United States',
state: 'DC',
postal_code: '20500'
}
})
};
fetch('https://api.livechatinc.com/v3.7/customer/action/update_customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.livechatinc.com/v3.7/customer/action/update_customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Thomas Anderson',
'email' => 't.anderson@example.com',
'suggested_email' => 't.anderson@example.com',
'avatar' => 'https://example.com/avatars/1.png',
'phone_number' => '+18008529001',
'session_fields' => [
[
'custom_key' => 'custom_value'
],
[
'another_custom_key' => 'another_custom_value'
]
],
'omnichannel' => [
'fbmessenger' => [
'id' => '1234567890',
'name' => 'Thomas Anderson',
'first_name' => 'Thomas',
'last_name' => 'Anderson',
'profile_pic' => 'https://example.com/avatars/1.png',
'gender' => 'male',
'locale' => 'en_US',
'is_verified_user' => true
],
'twilio' => [
'phone_number' => '+18008529001'
],
'whatsapp' => [
'id' => '15550000001',
'name' => 'Thomas Anderson',
'phone_number' => '+15550000001'
],
'instagram' => [
'ig_user_id' => '17841405793187218',
'username' => 'thomas.anderson',
'name' => 'Thomas Anderson',
'profile_pic' => 'https://example.com/avatars/instagram.png',
'follower_count' => 120,
'is_verified_user' => true,
'is_user_follow_business' => true,
'is_business_follow_user' => false
],
'telegram' => [
'telegram_user_id' => 123456789,
'first_name' => 'Thomas',
'last_name' => 'Anderson',
'username' => 'thomas_anderson',
'language_code' => 'en',
'display_name' => 'Thomas Anderson',
'is_premium' => true
],
'sms' => [
'phone_number' => '+15550000002'
]
],
'address' => [
'address' => '1600 Pennsylvania Avenue NW',
'city' => 'Washington',
'country' => 'United States',
'state' => 'DC',
'postal_code' => '20500'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.livechatinc.com/v3.7/customer/action/update_customer"
payload := strings.NewReader("{\n \"name\": \"Thomas Anderson\",\n \"email\": \"t.anderson@example.com\",\n \"suggested_email\": \"t.anderson@example.com\",\n \"avatar\": \"https://example.com/avatars/1.png\",\n \"phone_number\": \"+18008529001\",\n \"session_fields\": [\n {\n \"custom_key\": \"custom_value\"\n },\n {\n \"another_custom_key\": \"another_custom_value\"\n }\n ],\n \"omnichannel\": {\n \"fbmessenger\": {\n \"id\": \"1234567890\",\n \"name\": \"Thomas Anderson\",\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"profile_pic\": \"https://example.com/avatars/1.png\",\n \"gender\": \"male\",\n \"locale\": \"en_US\",\n \"is_verified_user\": true\n },\n \"twilio\": {\n \"phone_number\": \"+18008529001\"\n },\n \"whatsapp\": {\n \"id\": \"15550000001\",\n \"name\": \"Thomas Anderson\",\n \"phone_number\": \"+15550000001\"\n },\n \"instagram\": {\n \"ig_user_id\": \"17841405793187218\",\n \"username\": \"thomas.anderson\",\n \"name\": \"Thomas Anderson\",\n \"profile_pic\": \"https://example.com/avatars/instagram.png\",\n \"follower_count\": 120,\n \"is_verified_user\": true,\n \"is_user_follow_business\": true,\n \"is_business_follow_user\": false\n },\n \"telegram\": {\n \"telegram_user_id\": 123456789,\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"username\": \"thomas_anderson\",\n \"language_code\": \"en\",\n \"display_name\": \"Thomas Anderson\",\n \"is_premium\": true\n },\n \"sms\": {\n \"phone_number\": \"+15550000002\"\n }\n },\n \"address\": {\n \"address\": \"1600 Pennsylvania Avenue NW\",\n \"city\": \"Washington\",\n \"country\": \"United States\",\n \"state\": \"DC\",\n \"postal_code\": \"20500\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.livechatinc.com/v3.7/customer/action/update_customer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Thomas Anderson\",\n \"email\": \"t.anderson@example.com\",\n \"suggested_email\": \"t.anderson@example.com\",\n \"avatar\": \"https://example.com/avatars/1.png\",\n \"phone_number\": \"+18008529001\",\n \"session_fields\": [\n {\n \"custom_key\": \"custom_value\"\n },\n {\n \"another_custom_key\": \"another_custom_value\"\n }\n ],\n \"omnichannel\": {\n \"fbmessenger\": {\n \"id\": \"1234567890\",\n \"name\": \"Thomas Anderson\",\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"profile_pic\": \"https://example.com/avatars/1.png\",\n \"gender\": \"male\",\n \"locale\": \"en_US\",\n \"is_verified_user\": true\n },\n \"twilio\": {\n \"phone_number\": \"+18008529001\"\n },\n \"whatsapp\": {\n \"id\": \"15550000001\",\n \"name\": \"Thomas Anderson\",\n \"phone_number\": \"+15550000001\"\n },\n \"instagram\": {\n \"ig_user_id\": \"17841405793187218\",\n \"username\": \"thomas.anderson\",\n \"name\": \"Thomas Anderson\",\n \"profile_pic\": \"https://example.com/avatars/instagram.png\",\n \"follower_count\": 120,\n \"is_verified_user\": true,\n \"is_user_follow_business\": true,\n \"is_business_follow_user\": false\n },\n \"telegram\": {\n \"telegram_user_id\": 123456789,\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"username\": \"thomas_anderson\",\n \"language_code\": \"en\",\n \"display_name\": \"Thomas Anderson\",\n \"is_premium\": true\n },\n \"sms\": {\n \"phone_number\": \"+15550000002\"\n }\n },\n \"address\": {\n \"address\": \"1600 Pennsylvania Avenue NW\",\n \"city\": \"Washington\",\n \"country\": \"United States\",\n \"state\": \"DC\",\n \"postal_code\": \"20500\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.livechatinc.com/v3.7/customer/action/update_customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Thomas Anderson\",\n \"email\": \"t.anderson@example.com\",\n \"suggested_email\": \"t.anderson@example.com\",\n \"avatar\": \"https://example.com/avatars/1.png\",\n \"phone_number\": \"+18008529001\",\n \"session_fields\": [\n {\n \"custom_key\": \"custom_value\"\n },\n {\n \"another_custom_key\": \"another_custom_value\"\n }\n ],\n \"omnichannel\": {\n \"fbmessenger\": {\n \"id\": \"1234567890\",\n \"name\": \"Thomas Anderson\",\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"profile_pic\": \"https://example.com/avatars/1.png\",\n \"gender\": \"male\",\n \"locale\": \"en_US\",\n \"is_verified_user\": true\n },\n \"twilio\": {\n \"phone_number\": \"+18008529001\"\n },\n \"whatsapp\": {\n \"id\": \"15550000001\",\n \"name\": \"Thomas Anderson\",\n \"phone_number\": \"+15550000001\"\n },\n \"instagram\": {\n \"ig_user_id\": \"17841405793187218\",\n \"username\": \"thomas.anderson\",\n \"name\": \"Thomas Anderson\",\n \"profile_pic\": \"https://example.com/avatars/instagram.png\",\n \"follower_count\": 120,\n \"is_verified_user\": true,\n \"is_user_follow_business\": true,\n \"is_business_follow_user\": false\n },\n \"telegram\": {\n \"telegram_user_id\": 123456789,\n \"first_name\": \"Thomas\",\n \"last_name\": \"Anderson\",\n \"username\": \"thomas_anderson\",\n \"language_code\": \"en\",\n \"display_name\": \"Thomas Anderson\",\n \"is_premium\": true\n },\n \"sms\": {\n \"phone_number\": \"+15550000002\"\n }\n },\n \"address\": {\n \"address\": \"1600 Pennsylvania Avenue NW\",\n \"city\": \"Washington\",\n \"country\": \"United States\",\n \"state\": \"DC\",\n \"postal_code\": \"20500\"\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Customer access token obtained from the customer authorization flow.
Body
application/json
Response
200
Customer updated.
Was this page helpful?